### Function Macro

# GLib assert_no_error

since: 2.20

#### Declaration [src]

    #define g_assert_no_error (
      err
    )

#### Description [src]

Debugging macro to check that a `GError` is not set.

The effect of `g_assert_no_error (err)` is the same as `g_assert_true (err == NULL)`. The advantage of this macro is that it can produce a message that includes the error message and code.

Available since: 2.20

This function is not directly available to language bindings.

#### Parameters

`err`

  Type: `-`

  A `GError`.